OID reference

configFilename

1.3.6.1.4.1.930.2.1.2.16

Description

The name of the configuration file that is sent to the server. The actual boot protocol used to retrieve the file is determined by configProtocol. This parameter may be configured via the network boot protocol.

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.930.2.1.2 (sysConfig)
Node code
16
Node name
configFilename
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.930.2.1.2.16
URN notation
urn:oid:1.3.6.1.4.1.930.2.1.2.16
Type
OBJECT-TYPE
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 930 2 1 2 16}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) centillion(930) proprietary(2) cnSystem(1) sysConfig(2) configFilename(16)}
OID-IRI notation
  • /1/3/6/1/4/1/930/2/1/2/16
  • /ISO/Identified-Organization/6/1/4/1/930/2/1/2/16
  • /ISO/3/6/1/4/1/930/2/1/2/16
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/identified-organization/dod/internet/private/enterprises/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/identified-organization/dod/internet/private/vendor-objects/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/org/dod/internet/private/enterprise/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/org/dod/internet/private/enterprises/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/org/dod/internet/private/ldap-enterprise/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/org/dod/internet/private/vendor-objects/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/iso-identified-organization/dod/internet/private/enterprise/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/iso-identified-organization/dod/internet/private/enterprises/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/iso-identified-organization/dod/internet/private/ldap-enterprise/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/iso-identified-organization/dod/internet/private/vendor-objects/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/iso-organization/dod/internet/private/enterprise/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/iso-organization/dod/internet/private/enterprises/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/iso-organization/dod/internet/private/ldap-enterprise/centillion/proprietary/cnSystem/sysConfig/configFilename
  • /iso/iso-organization/dod/internet/private/vendor-objects/centillion/proprietary/cnSystem/sysConfig/configFilename

SNMP properties

Value type
DisplayString
Maximum access defined by MIB
read-write
Status in MIB
mandatory

Definitions may combine these properties differently.

Compare 2 source variants

Variant 1 — MIBdepot

Value type
DisplayString
Maximum access defined by MIB
read-write
Status in MIB
mandatory
Allowed size (octets)
0–64

Variant 2 — MIBdepot, Circitor

Value type
DisplayString
Maximum access defined by MIB
read-write
Status in MIB
mandatory
Allowed size (octets)
0–255

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

The displayed source records contain one distinct definition. Compare its source records.

configFilename	OBJECT-TYPE
	SYNTAX	DisplayString (SIZE(0..64))
	ACCESS	read-write
	STATUS	mandatory
	DESCRIPTION
		"The name of the configuration file that is sent to the
		server. The actual boot protocol used to retrieve the file
		is determined by configProtocol. This parameter may be
		configured via the network boot protocol."
	::= { sysConfig 16 }

Meaning

Descriptions

1 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

The name of the configuration file that is sent to the
server. The actual boot protocol used to retrieve the file
is determined by configProtocol. This parameter may be
configured via the network boot protocol.
Sources for this description

MIBdepot

See 1 matching source record

Circitor

Parsed from CENTILLION-CONFIG-MIB.mib · CENTILLION-CONFIG-MIB

Source file: Download ccfg210.mib · Publisher's file

Vendor MIB copy from the Netdisco archive.

Source file: Download CENTILLION-CONFIG-MIB · Publisher's file

Vendor MIB copy from the Observium Community archive. Nortel support.

Related source files and packages:

Source file: Download CENTILLION-CONFIG-MIB.mib

Browse all files from Circitor

Evidence

Source records

1 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1MIBdepot1 record · 4 sources

Description 1

configFilename · mandatoryMIBdepot4 sources

Status in source: mandatory.

Names: configFilename

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "configFilename",
    "OBJECT-TYPE",
    "SYNTAX",
    "DisplayString",
    "(",
    "SIZE",
    "(",
    "0",
    ".",
    ".",
    "64",
    ")",
    ")",
    "ACCESS",
    "read-write",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"The name of the configuration file that is sent to the server. The actual boot protocol used to retrieve the file is determined by configProtocol. This parameter may be configured via the network boot protocol.\"",
    "::=",
    "{",
    "sysConfig",
    "16",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "DisplayString",
      [
        "octetStringSubType",
        [
          [
            0,
            64
          ]
        ]
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "The name of the configuration file that is sent to the server. The actual boot protocol used to retrieve the file is determined by configProtocol. This parameter may be configured via the network boot protocol."
    ],
    null,
    null,
    null,
    null
  ]
}
  • Preserved mibdepot archive

    Module: CENTILLION-CONFIG-MIB

    See published definition above

    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress'], 'CENTILLION-ROOT-MIB': ['StatusIndicator', 'BitField', 'MacAddress', 'EnableIndicator', 'sysConfig']}
    · Download Ccfg201.mib.txt
  • Preserved mibdepot archive

    Module: CENTILLION-CONFIG-MIB

    Same published definition

    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress'], 'CENTILLION-ROOT-MIB': ['StatusIndicator', 'BitField', 'MacAddress', 'EnableIndicator', 'sysConfig']}
    · Download ccfg200.mib.txt
  • Preserved mibdepot archive

    Module: CENTILLION-CONFIG-MIB

    Same published definition

    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress'], 'CENTILLION-ROOT-MIB': ['StatusIndicator', 'BitField', 'MacAddress', 'EnableIndicator', 'sysConfig']}
    · Download ccfg202.mib.txt
  • Preserved mibdepot archive

    Module: CENTILLION-CONFIG-MIB

    Same published definition

    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress'], 'CENTILLION-ROOT-MIB': ['StatusIndicator', 'BitField', 'MacAddress', 'EnableIndicator', 'sysConfig']}
    · Download ccfg203.mib.txt

Historical records

Additional source information

Information from OID Repository
Vendor: Centillion Networks, Inc.
Module: CENTILLION-CONFIG-MIB

[Automatically extracted from oidview.com]
Information from MIBdepot
configFilename	OBJECT-TYPE
	SYNTAX	DisplayString (SIZE(0..255))
	ACCESS	read-write
	STATUS	mandatory
	DESCRIPTION
		"The name of the configuration file that is sent to the
		server. The actual boot protocol used to retrieve the file
		is determined by configProtocol. This parameter may be
		configured via the network boot protocol."
	::= { sysConfig 16 }
Information from Circitor
configFilename	OBJECT-TYPE
	SYNTAX	DisplayString (SIZE(0..255))
	ACCESS	read-write
	STATUS	mandatory
	DESCRIPTION
		"The name of the configuration file that is sent to the
		server. The actual boot protocol used to retrieve the file
		is determined by configProtocol. This parameter may be
		configured via the network boot protocol."
	::= { sysConfig 16 }

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.930)

Pitcher Derek

Direct children (1)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.930.2.1.2.16.0 configFilename00

Siblings (31)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.930.2.1.2.1 sysTableConfig00
1.3.6.1.4.1.930.2.1.2.2 sysImgInfo210
1.3.6.1.4.1.930.2.1.2.3 sysMcpRedundInfo210
1.3.6.1.4.1.930.2.1.2.5 rifTable18 riftable
1.3.6.1.4.1.930.2.1.2.6 systemMaxPacketInfoSize11 The system maximum packet information field size.
Changing the maximum information size
does not take effect until the next syste…
1.3.6.1.4.1.930.2.1.2.7 systemConfigMode11 This variable describes the current mode of bridging
configuration in the switch. The bridging mode applies to
all ports. The val…
1.3.6.1.4.1.930.2.1.2.8 maxPerfMode11 The current value of the system maximum performance mode.
Setting this value to enabled causes the system to
perform in maximum p…
1.3.6.1.4.1.930.2.1.2.10 configSave11 Save the current configuration into flash memory.
When read, this value is always clear (1). The value may only
be set to the set…
1.3.6.1.4.1.930.2.1.2.11 filterGroup546
1.3.6.1.4.1.930.2.1.2.12 localAdminMacAddress11 The system's locally administered MAC address. The current
operation MAC address may be obtained by the ifPhysAddress
entry in th…
1.3.6.1.4.1.930.2.1.2.13 configLogin11 The system login object. This object is used to login
a network management station to the system for configuration.
The format of…
1.3.6.1.4.1.930.2.1.2.14 sysNetProtocol125
1.3.6.1.4.1.930.2.1.2.15 configProtocol11 The protocol used to retrieve system configuration. Flash
indicates that the configuration is read from the flash.
tftpNoSave ind…
1.3.6.1.4.1.930.2.1.2.17 configSource11 An indication of how the system was actually configured.
flashConfig indicates that the current configuration was
obtained via fl…
1.3.6.1.4.1.930.2.1.2.18 sysTFTPGroup510
1.3.6.1.4.1.930.2.1.2.19 sysSNMPGroup411
1.3.6.1.4.1.930.2.1.2.20 sysMgmtRingNumber11 A unique ring number assigned to the system's managment
entity. This ring will not appear as a source-route hop
as it is seen onl…
1.3.6.1.4.1.930.2.1.2.21 netbiosGroup531
1.3.6.1.4.1.930.2.1.2.22 fdbGroup537
1.3.6.1.4.1.930.2.1.2.23 virtualSegmentGroup425
1.3.6.1.4.1.930.2.1.2.24 bridgeGroup320
1.3.6.1.4.1.930.2.1.2.25 lnmGroup48
1.3.6.1.4.1.930.2.1.2.28 sonmpTrConfig11 The configuration status of the Token Ring auto-topology.
If the value of this object is set to enable(1), the
Token Ring auto-to…
1.3.6.1.4.1.930.2.1.2.29 systemConfigIpOption11 Reading this object always returns other(1). Setting of
this object, which is optional, must be accomplished in
the same SNMP re…
1.3.6.1.4.1.930.2.1.2.30 sonmpTrSpeed11 The Token Ring topology message (SONMP frame)
transmit speed. The values that are read/write are:
topFast(2)...short interval bet…
1.3.6.1.4.1.930.2.1.2.31 vlan445
1.3.6.1.4.1.930.2.1.2.32 srUnknownFrameFlood11 Unknown Source Route Frame Flood.
Enable/Disable flooding of Source Route Frames to
the next hop while the route to the remote ri…
1.3.6.1.4.1.930.2.1.2.33 srbIeeeBpduEnable11 Send Srb/Ieee BPDU as explorer.
Enable/Disable the sending of Srb/IEEE BPDU's as explorers,
allowing some routers to receive the …
1.3.6.1.4.1.930.2.1.2.34 tbRifProxyEnable11 Process route descriptor LE_ARP requests in token ring
transparent bridging LANE. Enable/Disable the processing of
LE_ARP request…
1.3.6.1.4.1.930.2.1.2.35 cpuClkRate11 MCP Clock Rate.
Indicates the speed at which the MCP processor functions.
1.3.6.1.4.1.930.2.1.2.36 maxRids11 Maximum number of Reassembly Ids.
Indicates the maximum number of RIDs the switch supports. Determined
by the XRam installed on t…